org.wildfly.swarm.config.management.access

## Enum SyslogHandler.Facility

- java.lang.Object
- - java.lang.Enum<SyslogHandler.Facility>
  - - org.wildfly.swarm.config.management.access.SyslogHandler.Facility

- All Implemented Interfaces:
    Serializable, Comparable<SyslogHandler.Facility>
  Enclosing class:
    SyslogHandler<T extends SyslogHandler<T>>

      public static enum SyslogHandler.Facility
      extends Enum<SyslogHandler.Facility>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOCK_DAEMON`
    `CLOCK_DAEMON2`
    `FTP_DAEMON`
    `KERNEL`
    `LINE_PRINTER`
    `LOCAL_USE_0`
    `LOCAL_USE_1`
    `LOCAL_USE_2`
    `LOCAL_USE_3`
    `LOCAL_USE_4`
    `LOCAL_USE_5`
    `LOCAL_USE_6`
    `LOCAL_USE_7`
    `LOG_ALERT`
    `LOG_AUDIT`
    `MAIL_SYSTEM`
    `NETWORK_NEWS`
    `NTP`
    `SECURITY`
    `SECURITY2`
    `SYSLOGD`
    `SYSTEM_DAEMONS`
    `USER_LEVEL`
    `UUCP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static SyslogHandler.Facility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyslogHandler.Facility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KERNEL

          public static final SyslogHandler.Facility KERNEL

    - #### USER_LEVEL

          public static final SyslogHandler.Facility USER_LEVEL

    - #### MAIL_SYSTEM

          public static final SyslogHandler.Facility MAIL_SYSTEM

    - #### SYSTEM_DAEMONS

          public static final SyslogHandler.Facility SYSTEM_DAEMONS

    - #### SECURITY

          public static final SyslogHandler.Facility SECURITY

    - #### SYSLOGD

          public static final SyslogHandler.Facility SYSLOGD

    - #### LINE_PRINTER

          public static final SyslogHandler.Facility LINE_PRINTER

    - #### NETWORK_NEWS

          public static final SyslogHandler.Facility NETWORK_NEWS

    - #### UUCP

          public static final SyslogHandler.Facility UUCP

    - #### CLOCK_DAEMON

          public static final SyslogHandler.Facility CLOCK_DAEMON

    - #### SECURITY2

          public static final SyslogHandler.Facility SECURITY2

    - #### FTP_DAEMON

          public static final SyslogHandler.Facility FTP_DAEMON

    - #### NTP

          public static final SyslogHandler.Facility NTP

    - #### LOG_AUDIT

          public static final SyslogHandler.Facility LOG_AUDIT

    - #### LOG_ALERT

          public static final SyslogHandler.Facility LOG_ALERT

    - #### CLOCK_DAEMON2

          public static final SyslogHandler.Facility CLOCK_DAEMON2

    - #### LOCAL_USE_0

          public static final SyslogHandler.Facility LOCAL_USE_0

    - #### LOCAL_USE_1

          public static final SyslogHandler.Facility LOCAL_USE_1

    - #### LOCAL_USE_2

          public static final SyslogHandler.Facility LOCAL_USE_2

    - #### LOCAL_USE_3

          public static final SyslogHandler.Facility LOCAL_USE_3

    - #### LOCAL_USE_4

          public static final SyslogHandler.Facility LOCAL_USE_4

    - #### LOCAL_USE_5

          public static final SyslogHandler.Facility LOCAL_USE_5

    - #### LOCAL_USE_6

          public static final SyslogHandler.Facility LOCAL_USE_6

    - #### LOCAL_USE_7

          public static final SyslogHandler.Facility LOCAL_USE_7

  - ### Method Detail

    - #### values

          public static SyslogHandler.Facility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyslogHandler.Facility c : SyslogHandler.Facility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyslogHandler.Facility valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SyslogHandler.Facility>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.